%define lib_major 0

%define name ming
%define version 0.2a
%define release 5mdk

Summary: Ming - an SWF output library
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://www.opaque.net/ming/%{name}-%{version}.tar.bz2
Patch0: ming-listmp3.c.patch.bz2
Patch1: %{name}-%{version}-soname.patch.bz2
License: LGPL
URL: http://www.opaque.net/ming/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: zlib-devel perl-devel perl

%description
Ming is a c library for generating SWF ("Flash") format movies. This 
package only contains the basic c-based library - not yet extensions for 
Python, Ruby, etc.

%package -n lib%{name}%{lib_major}
Summary: Ming - an SWF output library
Group: System/Libraries
Obsoletes: lib%{name}%{lib_major}
Provides: %{name} lib%{name}
Provides: lib%{name}%{lib_major} = %{version}-%{release}

%description -n lib%{name}%{lib_major}
Ming is a c library for generating SWF ("Flash") format movies.
This package only contains the basic c-based library - not yet
extensions for Python, Ruby, etc.

%package -n lib%{name}%{lib_major}-devel
Summary: Ming development files
Group: Development/C
Requires: lib%{name}%{lib_major} = %{version}-%{release}
Obsoletes: lib%{name}%{lib_major}-devel
Provides: lib%{name}-devel
Provides: lib%{name}%{lib_major}-devel = %{version}-%{release}

%description -n lib%{name}%{lib_major}-devel
The lib%{name}%{lib_major}-devel package contains the header files
and static libraries necessary for developing programs using the
lib%{name}%{lib_major} library (C and C++)..

%package -n perl-%{name}
Summary: Ming perl module
Group: Development/Perl
Requires: lib%{name}%{lib_major} = %{version}
Obsoletes: perl-%{name}
Provides: perl-%{name}
Provides: perl-%{name} = %{version}-%{release}

%description -n perl-%{name}
Ming perl module - perl wrapper for Ming library.

%package -n %{name}-utils
Summary: Ming utilities
Group: File tools
Obsoletes: %{name}-utils
Provides: %{name}-utils
Provides: %{name}-utils = %{version}-%{release}

%description -n %{name}-utils
Ming utilities:
- listswf - swf format disassembler
- listfdb - show contents of fdb font file
- makefdb - rip fdb font definition files out of a generator template
  file
- swftophp - attempt to make a php/ming script out of an swf file

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make CFLAGS="%{optflags} -fPIC"

(cd util
targets='listswf listfdb listmp3 listjpeg makefdb swftophp'
for i in $targets; do
	make CFLAGS="%{optflags}" $i
done
mkdir temp
for i in $targets; do
	mv $i temp/ming-$i
done
)

(cd perl_ext
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor </dev/null
make OPTIMIZE="%{optflags}"
)

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_prefix}
make PREFIX=%{buildroot}%{_prefix} install

install -m755 libming.so %{buildroot}%{_libdir}/libming.so.0.2

(cd %{buildroot}%{_libdir} &&
    ln -fs libming.so.0.2 libming.so.0 &&
    ln -fs libming.so.0 libming.so
)

install -m755 libming.a %{buildroot}%{_libdir}/

mkdir -p %{buildroot}%{_bindir}
cp util/temp/ming-* %{buildroot}%{_bindir}/
chmod -x TODO

make -C perl_ext install PREFIX=%{buildroot}/%{_prefix}

mv perl_ext/README perl_ext.README
mv php_ext/README php_ext.README
mv util/README util.README

%post -n lib%{name}%{lib_major} -p /sbin/ldconfig
%postun -n lib%{name}%{lib_major} -p /sbin/ldconfig

%post -n lib%{name}%{lib_major}-devel -p /sbin/ldconfig
%postun -n lib%{name}%{lib_major}-devel -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n lib%{name}%{lib_major}
%defattr(-,root,root)
%doc CHANGES CREDITS README TODO php_ext.README
%attr(755,root,root) %{_libdir}/libming.so.*

%files -n lib%{name}%{lib_major}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libming.so
%attr(755,root,root) %{_libdir}/libming.a
%{_includedir}/*

%files -n perl-%{name}
%defattr(-,root,root)
%doc perl_ext.README
%{perl_vendorlib}
%{_mandir}/man*/SWF*

%files -n %{name}-utils
%defattr(644,root,root,755)
%doc util.README
%attr(755,root,root) %{_bindir}/*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-5mdk
- build release

* Sun Aug  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-4mdk
- rebuilt with gcc-3.2
- fix perl-ming for perl 5.8.0

* Sun May 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-3mdk
- rebuilt with gcc3.1

* Tue Apr 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-2mdk
- fixed the soname, thanks to Moritz Barsnick for pointing it out

* Thu Apr  4 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.2a-1mdk
- initial cooker contrib
- used the spec file by Troels Arvin and by PLD for ideas.
- libified the whole stuff...


